#!/bin/sh

VENDOR=$1
if [ -z "$VENDOR" ] ; then VENDOR=Samsung ; fi

cd `dirname $0`

HARDWARE_PLATFORM=`uname -m`
if [ "$HARDWARE_PLATFORM" = "i486" -o "$HARDWARE_PLATFORM" = "i586" -o "$HARDWARE_PLATFORM" = "i686" ]
then
	PLSFX=
	HARDWARE_PLATFORM=i386
fi

if [ "$HARDWARE_PLATFORM" = "x86_64" ]
then
	PLSFX=64
fi

DEST_PATH="/opt/$VENDOR/PhoneBook/"

#recreate destination
rm -fr "$DEST_PATH"
mkdir -p "$DEST_PATH"

#install distributive
#x echo "Installing..."

if [ "$PLSFX" = "64" ]; then
	mkdir -p "${DEST_PATH}bin"
	cp -fr ./bin64/* "${DEST_PATH}bin/"
	cp -fr ./bin64/.version "${DEST_PATH}bin/"
else	
	cp -fr ./bin/ "$DEST_PATH"
fi

if [ $? -ne 0 ]
then
	echo "ERROR: Cannot copy binaries! Check your permissions."
	return
fi

cp -fr ./share/ "$DEST_PATH"
if [ $? -ne 0 ]
then
	echo "ERROR: Cannot copy data! Check your permissions."
	return
fi

#copy uninstall script
cp -f ./uninstall.sh "$DEST_PATH"

#change attributes
chown root "$DEST_PATH"bin/phonebook
chmod 4755 "$DEST_PATH"bin/phonebook

VERSION=`cat "$DEST_PATH""bin/.version"`
echo "INF0: phonebook (ver.$VERSION) has been installed successfully in $DEST_PATH"
